@import "mixins";
@import "variables";

header {
    @include text-header;

    background-image: url(../img/header/img\ 1.png);
    background-size: cover;
    background-position: center;

    .wrapper-header {
        max-width: 1200px;
        margin: auto;
        height: 730px;
        margin-bottom: 60px;
        padding-top: 30px;
    }

    .nav {
        display: flex;
        justify-content: space-between;
        align-content: center;
        flex-wrap: wrap;
        align-items: center;
    }

    .logo {
        display: flex;
        color: #8D81AC;
    }

    .logo:hover {
        color: #fff;
        fill: #fff;
        cursor: pointer;
    }

    .logo p {
        padding: 9px 17px;
    }

    .nav-opt-href {
        @include text-header-href;
        transition: .3s;
    }

    .nav-opt-href {
        margin-left: 48px;
    }

    .nav-options a:hover {
        color: #fff;
    }

    .btn-buy-now {
        @include text-header-href;
        font-size: 13px;
        border: none;
        width: 146px;
        height: 37px;
        background-color: #8D81AC;
        color: #fff;
        border-radius: 40px;
        padding: 11px 35px;
    }

    .btn-buy-now:hover {
        background-color: #fff;
        color: #8D81AC;
    }

    .main-text-1st-page {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-top: 127px;
    }

    h1 {
        font-family: 'Montserrat';
        font-weight: 700;
        font-size: 82px;
        color: #fff;
        text-transform: capitalize;
        margin-bottom: 19px;
    }

    h2 {
        font-family: 'Lato';
        font-weight: 400;
        font-size: 30px;
        display: flex;
        color: #8D81AC;
        text-transform: none;
        margin-bottom: 19px;
        text-align: center;
    }

    h4 {
        font-family: 'Montserrat';
        font-weight: 400;
        font-size: 16px;
        text-transform: uppercase;
        color: #848E97;
        text-transform: uppercase;
    }

    .btn-download {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        transform: translateY(333px);

        button {
            @include text-header-href;

            width: 390px;
            height: 62px;
            font-size: 21px;
            background-color: #8D81AC;
            color: #fff;
            border-radius: 40px;
            padding: 11px 35px;
            border-style: none;
            cursor: pointer;
            transition: .3s;
        }

        button:hover {
            color: #8D81AC;
            background-color: #fff;
            border: 2px solid #8D81AC;
        }

        h4 {
            margin-top: 19px;
        }
    }

    .btn-menu {
        position: relative;
        height: 20px;
        width: 26px;
        cursor: pointer;
        display: none;

        span {
            display: block;
            width: 26px;
            height: 3px;
            background: #FFFFFF;
            border-radius: 5px;
            position: absolute;
            top: 0;
            bottom: 0;
            margin: auto;
            transition: .3s all;

            &:nth-child(1) {
                bottom: 16px;
                width: 15px;
                right: 0;
            }

            &:nth-child(3) {
                top: 16px;
            }
        }

        &.active {
            span {
                &:nth-child(1) {
                    bottom: 0;
                    width: 100%;
                    transform: rotate(45deg);
                }

                &:nth-child(2) {
                    opacity: 0;
                }
    
                &:nth-child(3) {
                    top: 0;
                    transform: rotate(-45deg);
                }
            }
        }
    }
}

@media (max-width: 1120px) {

    header {

        .wrapper-header {
            padding-top: 0;
        }

        .nav {
            background-color: #27262A;
            padding-bottom: 18px;
            padding-top: 30px;
        }

        .nav-options {
            flex-basis: 100%;
            order: 1;
            display: flex;
            justify-content: center;
            flex-basis: 100%;
        }

        .main-text-1st-page {
            margin-top: 60px;
        }

        .btn-download {
            transform: translateY(363px);
        }

    }

}

@media (max-width: 480px) {
    header {
        .btn-menu {
            display: block;
        }

        .nav-options {
            position: absolute;
            flex-direction: column;
            background-color: #333333;
            top: 90px;
            width: 290px;
            right: -200%;
            left: 0;
            margin: auto;
            transition: .3s right;

            &.active {
                right: 0;
            }

            a {
                display: block;
                padding: 29px 38px;
                font-family: 'Montserrat';
                font-style: normal;
                font-weight: 400;
                font-size: 26px;
                line-height: 26px;
            }
        }
        

    }
}